@use "sass:map";
@use "@angular/material" as mat;

@mixin color($theme) {
  $color-config: mat.m2-get-color-config($theme);
  $primary-palette: map.get($color-config, "primary");

  .progress-info-container {
    background-color: mat.m2-get-color-from-palette(
      $primary-palette,
      default-contrast
    );
    color: mat.m2-get-color-from-palette($primary-palette, default);
    border-top: 1px solid
      mat.m2-get-color-from-palette($primary-palette, lighter);
  }
}

@mixin theme($theme) {
  $color-config: mat.m2-get-color-config($theme);
  @if $color-config != null {
    @include color($theme);
  }
}
